Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.certra.core.v2
Enum RevocationReasonType

    java.lang.Object
      java.lang.Enum<RevocationReasonType>
          be.fgov.ehealth.certra.core.v2.RevocationReasonType

All Implemented Interfaces:
  Serializable, Comparable<RevocationReasonType>

    public enum RevocationReasonType

extends Enum<RevocationReasonType>

Java class for RevocationReasonType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="RevocationReasonType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="keyCompromise"/>
         <enumeration value="affiliationChanged"/>
         <enumeration value="superseded"/>
         <enumeration value="cessationOfOperation"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AFFILIATION_CHANGED`
`CESSATION_OF_OPERATION`
`KEY_COMPROMISE`
`SUPERSEDED`

Method Summary
`static RevocationReasonType` | `fromValue(String v)`
`String` | `value()`
`static RevocationReasonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RevocationReasonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KEY_COMPROMISE

    public static final RevocationReasonType KEY_COMPROMISE

### AFFILIATION_CHANGED

    public static final RevocationReasonType AFFILIATION_CHANGED

### SUPERSEDED

    public static final RevocationReasonType SUPERSEDED

### CESSATION_OF_OPERATION

    public static final RevocationReasonType CESSATION_OF_OPERATION

Method Detail

### values

    public static RevocationReasonType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RevocationReasonType c : RevocationReasonType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RevocationReasonType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static RevocationReasonType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PHYSIOTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.